Skip to main content
GET
/
v1
/
gpu-registry
List GPU Registry Entries
curl --request GET \
  --url https://api.dispersed.com/v1/gpu-registry
import requests

url = "https://api.dispersed.com/v1/gpu-registry"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dispersed.com/v1/gpu-registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "gpu_model_name": "<string>",
      "vram_gb": 123,
      "performance_score": 123,
      "hourly_rate_usd": 123,
      "hourly_rate_render": 123,
      "is_qualified": true,
      "object": "gpu_registry",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "uuid": "<string>",
      "online_count": 0,
      "available_count": 0
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}
{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[performance_score]
string
Example:

"0.1,1.0"

filter[hourly_rate_usd]
string
Example:

"0.25,0.50"

filter[gpu_model_name]
string
Example:

"*090"

filter[is_qualified]
string
Example:

"true"

filter[min_available_count]
integer | null

Minimum available node count.

Required range: x >= 0
Example:

"1"

filter[min_vram_gb]
number | null

Minimum VRAM in GB. Useful for filtering by recipe requirements.

Required range: x >= 0
Example:

"24"

filter[only_available]
boolean | null

Only show GPUs with at least one available node. By default, all online GPUs are shown.

Example:

"true"

filter[include_offline]
boolean | null

Include GPUs with no online nodes. By default, only online GPUs are shown.

Example:

"false"

Response

List of GPU Registry entries

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required